# Name

    public extension Notification.Name

- `blockProcessorUpdated`

  Processing progress update

  Query the userInfo object for the key CompactBlockProcessorNotificationKey.progress for a CompactBlockProgress struct

  #### Declaration

  Swift

      static let blockProcessorUpdated: Notification.Name

- `blockProcessorStatusChanged`

  notification sent when processor status changed

  #### Declaration

  Swift

      static let blockProcessorStatusChanged: Notification.Name

- `blockProcessorStartedDownloading`

  Notification sent when a compact block processor starts downloading

  #### Declaration

  Swift

      static let blockProcessorStartedDownloading: Notification.Name

- `blockProcessorStartedValidating`

  Notification sent when the compact block processor starts validating the chain state

  #### Declaration

  Swift

      static let blockProcessorStartedValidating: Notification.Name

- `blockProcessorStartedScanning`

  Notification sent when the compact block processor starts scanning blocks from the cache

  #### Declaration

  Swift

      static let blockProcessorStartedScanning: Notification.Name

- `blockProcessorStopped`

  Notification sent when the compact block processor stop() method is called

  #### Declaration

  Swift

      static let blockProcessorStopped: Notification.Name

- `blockProcessorFailed`

  Notification sent when the compact block processor presented an error.

  Query userInfo object on the key CompactBlockProcessorNotificationKey.error

  #### Declaration

  Swift

      static let blockProcessorFailed: Notification.Name

- `blockProcessorFinished`

  Notification sent when the compact block processor has finished syncing the blockchain to latest height

  #### Declaration

  Swift

      static let blockProcessorFinished: Notification.Name

- `blockProcessorIdle`

  Notification sent when the compact block processor is doing nothing

  #### Declaration

  Swift

      static let blockProcessorIdle: Notification.Name

- `blockProcessorUnknownTransition`

  Notification sent when something odd happened. probably going from a state to another state that shouldn’t be the next state.

  #### Declaration

  Swift

      static let blockProcessorUnknownTransition: Notification.Name

- `blockProcessorHandledReOrg`

  Notification sent when the compact block processor handled a ReOrg.

  Query the userInfo object on the key CompactBlockProcessorNotificationKey.reorgHeight for the height on which the reorg was detected. CompactBlockProcessorNotificationKey.rewindHeight for the height that the processor backed to in order to solve the Reorg

  #### Declaration

  Swift

      static let blockProcessorHandledReOrg: Notification.Name

- `blockProcessorFoundTransactions`

  Notification sent when the compact block processor enhanced a bunch of transactions Query the user info object for CompactBlockProcessorNotificationKey.foundTransactions which will contain an [ConfirmedTransactionEntity] Array with the found transactions and CompactBlockProcessorNotificationKey.foundTransactionsrange

  #### Declaration

  Swift

      static let blockProcessorFoundTransactions: Notification.Name

- `blockProcessorStoredUTXOs`

  Notification sent when the compact block processor fetched utxos from lightwalletd attempted to store them Query the user info object for CompactBlockProcessorNotificationKey.blockProcessorStoredUTXOs which will contain a RefreshedUTXOs tuple with the collection of UTXOs stored or skipped

  #### Declaration

  Swift

      static let blockProcessorStoredUTXOs: Notification.Name

- `blockProcessorStartedEnhancing`

  Undocumented

  #### Declaration

  Swift

      static let blockProcessorStartedEnhancing: Notification.Name

- `blockProcessorEnhancementProgress`

  Undocumented

  #### Declaration

  Swift

      static let blockProcessorEnhancementProgress: Notification.Name

- `blockProcessorStartedFetching`

  Undocumented

  #### Declaration

  Swift

      static let blockProcessorStartedFetching: Notification.Name

- `blockProcessorConnectivityStateChanged`

  Notification sent when the grpc service connection detects a change. Query the user info object for status change details `currentConnectivityStatus` for current and previous with `previousConnectivityStatus`

  #### Declaration

  Swift

      static let blockProcessorConnectivityStateChanged: Notification.Name

- `transactionsUpdated`

  Notification is posted whenever transactions are updated

  Important

  not yet posted

  #### Declaration

  Swift

      static let transactionsUpdated: Notification.Name

- `synchronizerStarted`

  Posted when the synchronizer is started.

  #### Declaration

  Swift

      static let synchronizerStarted: Notification.Name

- `synchronizerProgressUpdated`

  Posted when there are progress updates.

  Note

  Query userInfo object for NotificationKeys.progress for Float progress percentage and NotificationKeys.blockHeight for the current progress height

  #### Declaration

  Swift

      static let synchronizerProgressUpdated: Notification.Name

- `synchronizerStatusWillUpdate`

  Undocumented

  #### Declaration

  Swift

      static let synchronizerStatusWillUpdate: Notification.Name

- `synchronizerSynced`

  Posted when the synchronizer is synced to latest height

  #### Declaration

  Swift

      static let synchronizerSynced: Notification.Name

- `synchronizerStopped`

  Posted when the synchronizer is stopped

  #### Declaration

  Swift

      static let synchronizerStopped: Notification.Name

- `synchronizerDisconnected`

  Posted when the synchronizer loses connection

  #### Declaration

  Swift

      static let synchronizerDisconnected: Notification.Name

- `synchronizerSyncing`

  Posted when the synchronizer starts syncing

  #### Declaration

  Swift

      static let synchronizerSyncing: Notification.Name

- `synchronizerDownloading`

  Posted when synchronizer starts downloading blocks

  #### Declaration

  Swift

      static let synchronizerDownloading: Notification.Name

- `synchronizerValidating`

  Posted when synchronizer starts validating blocks

  #### Declaration

  Swift

      static let synchronizerValidating: Notification.Name

- `synchronizerScanning`

  Posted when synchronizer starts scanning blocks

  #### Declaration

  Swift

      static let synchronizerScanning: Notification.Name

- `synchronizerEnhancing`

  Posted when the synchronizer starts Enhancing

  #### Declaration

  Swift

      static let synchronizerEnhancing: Notification.Name

- `synchronizerFetching`

  Posted when the synchronizer starts fetching UTXOs

  #### Declaration

  Swift

      static let synchronizerFetching: Notification.Name

- `synchronizerMinedTransaction`

  Posted when the synchronizer finds a pendingTransaction that hast been newly mined

  Note

  query userInfo on NotificationKeys.minedTransaction for the transaction

  #### Declaration

  Swift

      static let synchronizerMinedTransaction: Notification.Name

- `synchronizerFoundTransactions`

  Posted when the synchronizer finds a mined transaction

  Note

  query userInfo on NotificationKeys.foundTransactions for the [ConfirmedTransactionEntity]. This notification could arrive in a background thread.

  #### Declaration

  Swift

      static let synchronizerFoundTransactions: Notification.Name

- `synchronizerFailed`

  Posted when the synchronizer presents an error

  Note

  query userInfo on NotificationKeys.error for an error

  #### Declaration

  Swift

      static let synchronizerFailed: Notification.Name

- `synchronizerConnectionStateChanged`

  Undocumented

  #### Declaration

  Swift

      static let synchronizerConnectionStateChanged: Notification.Name

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.